<?php
$target = 'guia';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");
include("logos.php");
unset($_SESSION['cadena_csv']);
unset($_SESSION['nombcsv']);
$fecha_actual = date("Y-m-d");
$_SESSION['nombcsv']='ConsultaOrdenArea_' . $fecha_actual . '.csv';
$_SESSION['cadena_csv']= "ORDEN;AREA;";
$nombrepagina = "CONSULTA ACTUALIZACION WEB CLIENTES";
encabezado($target);
$user = $_SESSION['validar'];
$filas = 1;
if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);

    class obtiene {

        var $userObj;

        function obtener($perfil) {
            $this->userObj = new select_zonas();
            $tabla = $this->userObj->get_tabla($_GET['suc']);
            $_SESSION['tabla_guia'] = $tabla;
        }

    }
    ?>
    <link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
    <link rel="stylesheet" href="css/modal-message.css" type="text/css">
    <script type="text/javascript" src="js/modal-message.js"></script>
    <script type="text/javascript">
        messageObj = new DHTML_modalMessage();	// We only create one object of this class
        messageObj.setShadowOffset(0);	// Large shadow
        function displayStaticMessage(messageContent, cssClass, src)
        {


            document.backup.guia.disabled = true;
            messageObj.setHtmlContent(messageContent);
            messageObj.setSize(450, 120);
            messageObj.setCssClassMessageBox(cssClass);
            messageObj.setSource(false);	// no html source since we want to use a static message here.
            messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
            messageObj.display();

        }
        function cierraMessage()
        {
            messageObj.close();
            document.backup.guia.disabled = false;
            document.backup.guia.focus();
        }


        function reproducir() {
            document.all['cancion'].src = 'sound/alert.wav'
        }

    </script>
    <script language="javascript" src="js/popcalendar.js"></script>
    <form action="" method="POST" name="backup"><CENTER>
            <table width="300" border="0" class="primaria">

                <tr class=miTable_tr>
                    <td colspan="2" class=miTable_th1><div align="center">..:: RANGO DE FECHAS ::..</div></td>
                </tr>


                <tr class="miTable_tr">
                    <td width="200" class="miTable_td">Fecha Inicial:</td>
                    <td width="200" class="miTable_td">
                        <INPUT type="hidden" name="id_user" value="<? echo $_GET['id_user']; ?>">
                        <INPUT type="hidden" name="suc" value="<? echo $_GET['suc']; ?>">
                        <INPUT type="hidden" name="tabla" value="<? echo $tabla; ?>">
                        <input type="text" name="f1" id="dates1" onClick="popUpCalendar(this, backup.dates1, 'yyyy-mm-dd');" class="inputbox" value="<? echo $fecha_actual; ?>">
                    </td>
                </tr>
                <tr class="miTable_tr">
                    <td width="200" class="miTable_td">Fecha Final:</td>
                    <td width="200" class="miTable_td">
                        <input type="text" name="f2" id="dates2" onClick="popUpCalendar(this, backup.dates2, 'yyyy-mm-dd');" class="inputbox" value="<? echo $fecha_actual; ?>">
                    </td>
                </tr>


                
                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="2">
                        <div align="center">
                            <input type="submit" name="Registrar" value="Actualizar" class="inputbox">
                        </div>
                    </td>
                </tr>
            </table>
            
           
            
            
            <?
            $db = new conexion();
            $db->conectarse();

            function titulos() {
                $db = new conexion();
                $db->conectarse();
                echo "<div style='overflow-x:scroll;overflow-y:scroll;width:720px;height:400px'>";
                echo "<table border='0' width='720' class='primaria'>";
                echo "<tr class=miTable_tr>";
                echo "<td width=60 valign=top class=miTable_th1>ORDEN</td>";
               echo "<td width=60 valign=top class=miTable_th1>Entregadas sin digitalizar</td>";
echo "<td width=60 valign=top class=miTable_th1>Entregadas Digitalizadas</td>";
                $_SESSION['cadena_csv'] = substr($_SESSION['cadena_csv'], 0, -1);
                $_SESSION['cadena_csv'] .=chr(13).chr(10);
echo "</tr>";
                $db->cerrar();
            }

            function DibujaOds($num_ods) {
                $db = new conexion();
                $db->conectarse();
                
                    echo "<tr><td valign=top class=miTable_td><div align='center'>" . $num_ods . "</div></td>";
                    $ret = $db->consultar("select count(*),especial2 as Area from guias_proceso where orden='" . $num_ods . "' and id_estado='14'");
                    while ($row = mysql_fetch_array($ret)) {
                        echo "<td valign=top class=miTable_td><div align='center'>" . $row[0] . "</div></td>";
                        $_SESSION['cadena_csv'] .=$row[0].';';
                    }

                    $ret = $db->consultar("select count(*) from guias_proceso where orden='" . $num_ods . "' and  id_estado='15'");
                    while ($row = mysql_fetch_array($ret)) {
                        echo "<td valign=top class=miTable_td><div align='center'>" . $row[0] . "</div></td></tr>";
                        $_SESSION['cadena_csv'] .=$row[0].';';
                    }

                   
                   
                $_SESSION['cadena_csv'] = substr($_SESSION['cadena_csv'], 0, -1);
                $_SESSION['cadena_csv'] .=chr(13) . chr(10);
                
                $db->cerrar();
            }
function modificaros($os){
$db = new conexion();
                $db->conectarse();


			$rst_modificar=$db->consultar("UPDATE gama_cliente.guias_proceso gpcliente
inner join gama.guias_proceso gpserver
on gpcliente.orden=gpserver.orden and gpcliente.guia=gpserver.guia
SET gpcliente.id_estado = gpserver.id_estado, gpcliente.path=gpserver.path
where gpserver.orden = '".$os."' and gpserver.id_estado='15';");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Actualizo El estado de la orden.".$os." (Imagen).<br>";
				echo $msgBOX2;
			}else{
				$msgBOX2 = "No Se Pudo ActualizarEl estado de la orden ".$os.".(Imagen).<br>";
				echo $msgBOX2;
			}

	}
            if (empty($arr_ods)) {
                if (!empty($f1) and !empty($f2)) {
                    titulos();
                    $rsEst = $db->consultar("select orden from ordenes where fecha_creacion>='" . $f1 . "' and fecha_creacion<='" . $f2 . "' order by id_orden desc");
                    while ($ret = mysql_fetch_array($rsEst)) {
                        $num_ods = $ret['orden'];
                        DibujaOds($num_ods);
			modificaros($num_ods);

                    }

                }
            } else {
                $input = explode("\n", $arr_ods);
                $arr_ods = array_unique($input);
                titulos();

                for ($ytr = 0; $ytr <= count($arr_ods); $ytr++) {
                    $num_ods = trim($arr_ods[$ytr]);
                    if (!empty($num_ods)) {
                        DibujaOds($num_ods);
			modificaros($num_ods);
                    }
                }
            }

            echo "</div>";            
            echo "</table>";
            mostrar_pie();
        }
//$pla=$_SESSION['planilla'];
        echo"</td>";
        echo"</tr>";
        echo"</table>";
        echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
        echo"<tbody><tr>";
        echo"<td></td>";
        echo"</tr>";
        echo"<tr>";
        echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
        echo"</tr>";
        echo"<tr>";
        ?>
        <td>
        <center>
            <? pie_de_pagina(); ?>
        </center>
        </td>
        <?php
        echo"</tr>";
        echo"</tbody></table>";

        echo"</center>";
        echo"</body>";
        echo"</html>";
        ?>
    </CENTER>
</form>

